// TNAFlix.js for PSPTube
// Made By JK108

function TNAFlix_CheckURL( url, option )
{
	if (url.match("http://www.tnaflix.com/view_video.php") == "http://www.tnaflix.com/view_video.php"){
		return 1;
	} else{
		return 0;
	}
}

/*
 Get a TNAFlix URL
*/
function TNAFlix_GetURL( url, option )
{
	// get video file URL
	var contents = GetContents( url );
	if(contents == null) { return null; /* error getting page */ }

	var pos = contents.indexOf("so.addVariable('videoUrl','");
	contents = contents.substring(pos + 27, contents.length);
	pos = contents.indexOf("');");
	var video_url = contents.substring(0, pos).replace("%3", "?");

	return video_url;
}

function TNAFlix_Search( keyword, start_index, length, option )
{
	var result = new Object();
        result.keyword   = keyword;	// Search
	result.VideoInfo = new Array();	// Results in sequence
	result.start     = start_index;	// Index of first result
	result.end       = 0;
	result.total     = -1;


	result.start = (((result.start - 1) / 10) * 32) + 1;


	if(result.start < 32){
	var contents = GetContents( "http://www.tnaflix.com/search.php?what=" + keyword.replace(/ /g, "%20") );
	} else{
	var num = 1 + ((result.start - 1) / 32);
	var contents = GetContents( "http://www.tnaflix.com/search.php?page=" + num + "&what=" + keyword.replace(/ /g, "%20") );
	}
	if(contents == null) { return null; /* failed to get page */ }



	var pos = contents.indexOf('<img src="http://www.tnaflix.com/images/video_icon.gif" alt="');
	contents = contents.substring(pos + 61, contents.length);
	pos = contents.indexOf(" Videos");
	var total = contents.substring(0, pos);
	result.total = total;



	while(1){
	pos = contents.indexOf("<div class=\"videoThumbContainer\">");

	if(pos != -1){
		//Get URL
		contents = contents.substring(pos + 33, contents.length);
		pos = contents.indexOf("<a href=\"");
		contents = contents.substring(pos + 9, contents.length);
		pos = contents.indexOf("\" class=\"videoThumb\"  title=\"");
		var url = contents.substring(0, pos);
		//Get Title
		contents = contents.substring(pos + 29, contents.length);
		pos = contents.indexOf("\"><img src=\"");
		var title = ImproveText(contents.substring(0, pos));
		//Thumbnail
		contents = contents.substring(pos + 12, contents.length);
		pos = contents.indexOf("\" onMouseOver=");
		var thumb_url = contents.substring(0, pos);
		//Length
		pos = contents.indexOf("<div class=\"videoLeft\">");
		contents = contents.substring(pos + 23, contents.length);
		pos = contents.indexOf("<br />");
		var length = contents.substring(0, pos);
		var length = TimestringToSeconds(length);
		//Description
		contents = contents.substring(pos + 7, contents.length);
		pos = contents.indexOf(" days");
		var description = "Added " + contents.substring(0, pos) + " days ago";
		//Rating
		pos = contents.indexOf("<div style=\"text-align: right; width: 63px;\">");
		contents = contents.substring(pos + 45, contents.length);
		pos = contents.indexOf("</div>");
		var rating = contents.substring(0, pos);

		info = new Object();
		info.URL = url;
		info.Title = title;
		info.ThumbnailURL = thumb_url;
		info.LengthSeconds = length;
		info.Description = description;
		info.RatingAvg = rating;
		info.SaveFilename = ToFilename(title);
		info.attr = 7;
		result.VideoInfo.push( info );
		if(result.VideoInfo.length == 32){break;}
		if(result.start + (result.VideoInfo.length - 1) == result.total){break;}
	} else{
		break;
	}
	}


	if(result.VideoInfo.length) {
		result.end   = result.start + (result.VideoInfo.length - 1);
	} else {
		result.total = 0;	// no results.
	}

	if(result.VideoInfo.length != 32){result.total = result.end;}

	return result;
}

// Service metadata
var TNAFlix = new Object();
TNAFlix.Name          = "TNAFlix";		/* Service name */
TNAFlix.Description   = "TNAFlix";		/* Service description */
TNAFlix.SearchDesc    = "TNAFlix";		/* Service search screen description */
TNAFlix.SearchOSKMode = 1;			/* OSK mode 1: English only  2: Japanese */
TNAFlix.CheckURL      = TNAFlix_CheckURL;	/* CheckURL function */
TNAFlix.GetURL        = TNAFlix_GetURL;		/* GetURL function */
TNAFlix.Search        = TNAFlix_Search;		/* Search function */

// add YouTube to site list
SiteList.push( TNAFlix );
